% === ring_modulator.m ===   ===
Fs = 22050;           %  
f0 = 500;             %   
T = 2;                %   , 
N = round(T*Fs);      %   , 
t = 0:1/Fs:(N-1)/Fs;  %   
x = sawtooth(2*pi*f0*t);       %  
% ===  ===
fc = f0/2;                %  
m = cos(2*pi*fc*t);       %  
% ===  ===
y = x.*m;

% ===   ===
df = 50;                  %   , 
Nfft = round(Fs/df);      % -  
f = 0:df:(Nfft/2-1)*df;      %   
sx = abs(fft(x,Nfft));    %  
sm = abs(fft(m,Nfft));    %   
sy = abs(fft(y,Nfft));    %  - 

% ===    ===
figure; plot(t,x);        %  
xlabel(', '); ylabel('');
title(' ');
figure; plot(t,m);        %   
xlabel(', '); ylabel('');
title(' ');
figure; plot(t,y);        %  
xlabel(', '); ylabel('');
title(' ');

% ===     ===
figure; plot(f,sx(1:floor(Nfft/2)));        %   
xlabel(', '); ylabel('');
title('.   ');
figure; plot(f,sm(1:floor(Nfft/2)));        %    
xlabel(', '); ylabel('');
title('.   ');
figure; plot(f,sy(1:floor(Nfft/2)));        %   - 
xlabel(', '); ylabel('');
title('.   ');